SDL_JoystickConnectionState(3type)

NAME
SDL_JoystickConnectionState - Possible connection states for a joystick device.

HEADER FILE
Defined in SDL3/SDL_joystick.h

SYNOPSIS
#include "SDL3/SDL.h"

typedef enum SDL_JoystickConnectionState
{
    SDL_JOYSTICK_CONNECTION_INVALID = -1,
    SDL_JOYSTICK_CONNECTION_UNKNOWN,
    SDL_JOYSTICK_CONNECTION_WIRED,
    SDL_JOYSTICK_CONNECTION_WIRELESS
} SDL_JoystickConnectionState;

DESCRIPTION
This is used by

SDL_GetJoystickConnectionState
 to report how a device is connected to the system.

AVAILABILITY
This enum is available since SDL 3.2.0.